# create-archetype

## Purpose

The starting point for a Griffon archetype. This command creates a subdirectory within the directory the command was executed from is then created based on the entered archetype name. This subdirectory contains an archetype descriptor (`application.groovy`) and a directory for templates.

## Examples

    griffon create-archetype custom

## Description

Usage:

    griffon create-archetype [name]

Arguments:

- `name` - The name of the archetype

Options:

- `app-version` - Version to be set on the archetype. Defaults to 0.1.
- `inplace` - If true creates the archetype in the current directory. Defaults to false.